Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-31280

Upgrade to commons-math3

    XMLWordPrintable

    Details

    • Type: Task
    • Status: CLOSED
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 11.0
    • Fix Version/s: 11.2, 12.0
    • Component/s: Master
    • Labels:
    • 11 status:
      Resolved

      Description

      The version of commons-math that Sakai is using (2.2) was released in 2011, and the newer version (3.x) is something we should update to but many there's many new classes that replace the existing ones like:

      Broke up bloated "MathUtils" class into "MathArrays", "Precision", "ArithmeticUtils" classes. Fixes MATH-689.

      I don't know what version to target this for and it's not as easy as switching the dependencies but it would be nice to update.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                ncaidin Neal Caidin
                Reporter:
                jonespm Matthew Jones
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code